org.apache.cassandra.dht

## Class AbstractBounds.Boundary<T extends RingPosition<T>>

- java.lang.Object
- - org.apache.cassandra.dht.AbstractBounds.Boundary<T>

Enclosing class:
  AbstractBounds<T extends RingPosition<T>>

    public static class AbstractBounds.Boundary<T extends RingPosition<T>>
    extends java.lang.Object

### Field Summary

Fields
`T` `boundary`
`boolean` `inclusive`

### Constructor Summary

Constructors
Constructor and Description
`Boundary(T boundary, boolean inclusive)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### boundary

    public final T extends RingPosition<T> boundary

#### inclusive

    public final boolean inclusive

### Constructor Detail

#### Boundary

    public Boundary(T boundary,
                    boolean inclusive)